import request from '@/utils/request'

//通过母订单id查询最新工单列表
export function getWorkOrderList(id) {
	return request({
		url: '/mes/order/getWorkOrderList/' + id,
		method: 'get'
	})
}

//通过母订单id查询最新订单列表
export function getOrderList(id) {
	return request({
		url: '/mes/order/getOrderList/' + id,
		method: 'get'
	})
}

// 提交拆分
export function subSplitOrder(data) {
	return request({
		url: '/mes/order/subSplitOrder',
		method: 'post',
		data: data
	})
}


// 获取换算值
export function getConvert() {
	return request({
		url: '/mes/order/getConvert',
		method: 'get',
	})
}

// 获取线体
export function getprodLineShift(orderType) {
	return request({
		url: '/mes/order/getProdLineShift/'+'?type='+orderType,
		method: 'get',
	})
}

// 查询订单列表
export function listOrder(query) {
	return request({
		url: '/mes/order/list',
		method: 'get',
		params: query
	});
}

// 查询订单详细
export function getOrder(id) {
	return request({
		url: '/mes/order/' + id,
		method: 'get'
	});
}

// 新增订单
export function addOrder(data) {
	return request({
		url: '/mes/order',
		method: 'post',
		data: data
	});
}

// 修改订单
export function updateOrder(data) {
	return request({
		url: '/mes/order',
		method: 'put',
		data: data
	});
}

// 删除订单
export function delOrder(id) {
	return request({
		url: '/mes/order/' + id,
		method: 'delete'
	});
}
